-- Version: 6.1 SP1 6.1.1.108

library ieee;
use ieee.std_logic_1164.all;
library APA;

entity SIPO is 
    port(Shiften, Shiftin, Aclr, Clock : in std_logic; Q : out 
        std_logic_vector(2 downto 0)) ;
end SIPO;


architecture DEF_ARCH of  SIPO is

    component MUX2H
        port(A, B, S : in std_logic;  Y : out std_logic) ;
    end component;

    component DFFC
        port(CLK, D, CLR : in std_logic;  Q : out std_logic) ;
    end component;

    signal Q_0_net, Q_1_net, Q_2_net, MUX2H_1_Y, MUX2H_0_Y, 
        MUX2H_2_Y : std_logic ;
    begin   

    Q(0) <= Q_0_net;
    
    Q(1) <= Q_1_net;
    
    Q(2) <= Q_2_net;
    
    MUX2H_0 : MUX2H
      port map(A => Q_0_net, B => Shiftin, S => Shiften, Y => 
        MUX2H_0_Y);
    MUX2H_1 : MUX2H
      port map(A => Q_1_net, B => Q_0_net, S => Shiften, Y => 
        MUX2H_1_Y);
    MUX2H_2 : MUX2H
      port map(A => Q_2_net, B => Q_1_net, S => Shiften, Y => 
        MUX2H_2_Y);
    DFFC_Q_1_inst : DFFC
      port map(CLK => Clock, D => MUX2H_1_Y, CLR => Aclr, Q => 
        Q_1_net);
    DFFC_Q_2_inst : DFFC
      port map(CLK => Clock, D => MUX2H_2_Y, CLR => Aclr, Q => 
        Q_2_net);
    DFFC_Q_0_inst : DFFC
      port map(CLK => Clock, D => MUX2H_0_Y, CLR => Aclr, Q => 
        Q_0_net);
end DEF_ARCH;
