-- UJTAG_Interface.vhd
library ieee;
use ieee.std_logic_1164.all;
library apa;

entity UJTAG_Interface is
port (  uuir:        in std_logic_vector(7 downto 0);
        uudrck:     in std_logic; 
        uudrcap:    in std_logic; 
        uudrsh:     in std_logic; 
        uutdi:      in std_logic; 
        uuload:     out std_logic_vector(2 downto 0);
        sel_on:     out std_logic
        );
end UJTAG_Interface;

architecture Behav of UJTAG_Interface is

component SIPO
port (  Shiften : in std_logic; 
        Shiftin : in std_logic;  
        Aclr    : in std_logic; 
        Clock   : in std_logic; 
        Q       : out std_logic_vector(2 downto 0)) ;
end component;




signal uudrsh_in: std_logic;
signal uuir_in: std_logic_vector(7 downto 0);

signal uusrsel      : std_logic;
signal uuclr        : std_logic;
signal uushiftin       : std_logic;


begin

uuir_in  <= uuir;
uudrsh_in<= uudrsh;


inst_SIPO: SIPO
port map (  Shiften=>uudrsh_in, 
            Shiftin=>uushiftin, 
            Aclr=>uuclr, 
            Clock=>uudrck, 
            Q=>uuload(2 downto 0)) ;



uusrsel<= '1' when uuir_in="00010010" else '0'; -- Start loading when OPCODE=18;
sel_on <= uusrsel;

process (uudrcap) is
begin
    if (uudrcap='1' and uusrsel='1') then
            uuclr<='1';
    else 
            uuclr<='0';
    end if;
end process;


process (uudrck) is
begin
    if (uudrck'event and uudrck='1') then
        if (uudrsh_in='1' and uusrsel='1') then
        uushiftin<=uutdi;
        else
        uushiftin<='0';
        end if;
    end if;
end process;



end Behav;
