-- Generated by WaveFormer Lite Version 9.9 at 17:2:30 on 5/24/2005
-- Stimulator for stimulus

-- Generation Settings:
--   Export type: Stimulus only (reactive export not enabled)

-- Clock Domains:

--   Unclocked
--   ---------
--     Signals:
--       TRST
--       TDI
--       TMS

library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
-- Additional libraries used by Model Under Test.
library APA;
library ieee;
-- End Additional libraries used by Model Under Test.

entity stimulus is
  port (
    TRST : inout std_logic := '0';
    TCK : inout std_logic := '0';
    TDI : inout std_logic := '0';
    TMS : inout std_logic := '0';
    \LED[3]\ : in std_logic := 'Z';
    \LED[1]\ : in std_logic := '1';
    \LED[2]\ : in std_logic := 'Z';
    \LED[0]\ : in std_logic := 'Z';
    UDRUPD : in std_logic := 'Z';
    SEL_ON : in std_logic := 'Z');

end stimulus;

architecture STIMULATOR of stimulus is

  -- Control Signal Declarations
  signal tb_status : TStatus;
  signal tb_ParameterInitFlag : boolean := false;

  -- Parm Declarations
  signal TCK_MinHL : time := 0 ns;
  signal TCK_MaxHL : time := 0 ns;
  signal TCK_MinLH : time := 0 ns;
  signal TCK_MaxLH : time := 0 ns;
  signal TCK_JFall : time := 0 ns;
  signal TCK_JRise : time := 0 ns;
  signal TCK_Duty : real := 0.0;
  signal TCK_Period : time := 0 ns;
  signal TCK_Offset : time := 0 ns;

  -- Status Control block.

begin

  process
    variable good : boolean;
  begin
    wait until tb_ParameterInitFlag;
    tb_status <= TB_ONCE;
    wait for 11658.0 ns;
    tb_status <= TB_DONE;
    wait;
  end process;

  -- Parm Assignment Block
  AssignParms : process
    variable TCK_MinHL_real : real;
    variable TCK_MaxHL_real : real;
    variable TCK_MinLH_real : real;
    variable TCK_MaxLH_real : real;
    variable TCK_JFall_real : real;
    variable TCK_JRise_real : real;
    variable TCK_Duty_real : real;
    variable TCK_Period_real : real;
    variable TCK_Offset_real : real;
  begin
    TCK_MinHL_real := 0.0;
    TCK_MinHL <= TCK_MinHL_real * 1 ns;
    TCK_MaxHL_real := 0.0;
    TCK_MaxHL <= TCK_MaxHL_real * 1 ns;
    TCK_MinLH_real := 0.0;
    TCK_MinLH <= TCK_MinLH_real * 1 ns;
    TCK_MaxLH_real := 0.0;
    TCK_MaxLH <= TCK_MaxLH_real * 1 ns;
    TCK_JFall_real := 0.0;
    TCK_JFall <= TCK_JFall_real * 1 ns;
    TCK_JRise_real := 0.0;
    TCK_JRise <= TCK_JRise_real * 1 ns;
    TCK_Duty_real := 50.0;
    TCK_Duty <= TCK_Duty_real;
    TCK_Period_real := 250.0;
    TCK_Period <= TCK_Period_real * 1 ns;
    TCK_Offset_real := 0.0;
    TCK_Offset <= TCK_Offset_real * 1 ns;
    tb_ParameterInitFlag <= true;
    wait;
  end process;

  -- Clocks

  -- Clock Instantiation
  tb_TCK : entity syncad_vhdl_lib.tb_clock_minmax
    generic map (name => "tb_TCK",
                initialize => true,
                state1 => '1',
                state2 => '0')
    port map (tb_status,
              TCK,
              TCK_MinLH,
              TCK_MaxLH,
              TCK_MinHL,
              TCK_MaxHL,
              TCK_Offset,
              TCK_Period,
              TCK_Duty,
              TCK_JRise,
              TCK_JFall);

  -- Clocked Sequences

  -- Sequence: Unclocked
  Unclocked : process
  begin
    wait for 914.0 ns;
    TRST <= '1';
    wait for 412.0 ns;
    TMS <= '1';
    wait for 485.0 ns;
    TMS <= '0';
    wait for 873.0 ns;
    TDI <= '1';
    wait for 239.0 ns;
    TDI <= '0';
    wait for 411.0 ns;
    TDI <= '1';
    wait for 247.0 ns;
    TDI <= '0';
    wait for 478.0 ns;
    TMS <= '1';
    wait for 510.0 ns;
    TMS <= '0';
    wait for 264.0 ns;
    TMS <= '1';
    wait for 247.0 ns;
    TMS <= '0';
    wait for 502.0 ns;
    TDI <= '1';
    wait for 206.0 ns;
    TDI <= '0';
    wait for 271.0 ns;
    TDI <= '1';
    wait for 247.0 ns;
    TDI <= '0';
    wait for 503.0 ns;
    TMS <= '1';
    wait for 502.0 ns;
    TMS <= '0';
    wait for 239.0 ns;
    TMS <= '1';
    wait for 288.0 ns;
    TMS <= '0';
    wait for 494.0 ns;
    TDI <= '1';
    wait for 765.0 ns;
    TDI <= '0';
    wait for 503.0 ns;
    TMS <= '1';
    wait for 485.0 ns;
    TMS <= '0';
    wait for 1573.0 ns;
    wait;
  end process;
end STIMULATOR;

-- Test Bench wrapper for stimulus and Model Under Test
library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
-- Additional libraries used by Model Under Test.
library APA;
library ieee;
-- End Additional libraries used by Model Under Test.

entity testbench is
end testbench;
architecture tbGeneratedCode of testbench is
  signal TRST : std_logic;
  signal TCK : std_logic;
  signal TDI : std_logic;
  signal TMS : std_logic;
  signal \LED[3]\ : std_logic;
  signal \LED[1]\ : std_logic;
  signal \LED[2]\ : std_logic;
  signal \LED[0]\ : std_logic;
  signal UDRUPD : std_logic;
  signal SEL_ON : std_logic;

  -- Stimulator instance

begin

  stimulus_0 : entity work.stimulus
    port map (TRST => TRST,
              TCK => TCK,
              TDI => TDI,
              TMS => TMS,
              \LED[3]\ => \LED[3]\,
              \LED[1]\ => \LED[1]\,
              \LED[2]\ => \LED[2]\,
              \LED[0]\ => \LED[0]\,
              UDRUPD => UDRUPD,
              SEL_ON => SEL_ON);

  -- Instantiation of Model Under Test.
  TOP_0 : entity work.TOP
    port map (\LED[2]\ => \LED[2]\,
              \LED[1]\ => \LED[1]\,
              \LED[0]\ => \LED[0]\,
              UDRUPD => UDRUPD,
              \LED[3]\ => \LED[3]\,
              TRST => TRST,
              TCK => TCK,
              TDI => TDI,
              TMS => TMS,
              SEL_ON => SEL_ON);
end tbGeneratedCode;
