-- Version: 6.1 SP1 6.1.1.108

library ieee;
use ieee.std_logic_1164.all;
library APA;

entity SIPO is

    port(\load[1]\ : out std_logic; uushiftin, \Z$1N66\ : in
         std_logic; load_net_1 : out std_logic; \Z$1N79\, 
        un1_uudrcap_0_a2_n : in std_logic; LOAD_scalar_0 : out
         std_logic);

end SIPO;

architecture DEF_ARCH of SIPO is 

  component MUX2H
    port(A, B, S : in std_logic; Y : out std_logic);
  end component;

  component DFFC
    port(CLK, D, CLR : in std_logic; Q : out std_logic);
  end component;

  component PWR
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

    signal \load[1]_net_1\, \load_net_1\, LOAD, mux2h_0_y, 
        mux2h_2_y, mux2h_1_y, \VCC\, \GND\ : std_logic;

begin 

    \load[1]\ <= \load[1]_net_1\;
    load_net_1 <= \load_net_1\;
    LOAD_scalar_0 <= LOAD;

    MUX2H_2 : MUX2H
      port map(A => \load_net_1\, B => \load[1]_net_1\, S => 
        \Z$1N66\, Y => mux2h_2_y);
    
    MUX2H_0 : MUX2H
      port map(A => LOAD, B => uushiftin, S => \Z$1N66\, Y => 
        mux2h_0_y);
    
    DFFC_Q_1_inst : DFFC
      port map(CLK => \Z$1N79\, D => mux2h_1_y, CLR => 
        un1_uudrcap_0_a2_n, Q => \load[1]_net_1\);
    
    PWR_i : PWR
      port map(Y => \VCC\);
    
    MUX2H_1 : MUX2H
      port map(A => \load[1]_net_1\, B => LOAD, S => \Z$1N66\, Y
         => mux2h_1_y);
    
    GND_i : GND
      port map(Y => \GND\);
    
    DFFC_Q_2_inst : DFFC
      port map(CLK => \Z$1N79\, D => mux2h_2_y, CLR => 
        un1_uudrcap_0_a2_n, Q => \load_net_1\);
    
    DFFC_Q_0_inst : DFFC
      port map(CLK => \Z$1N79\, D => mux2h_0_y, CLR => 
        un1_uudrcap_0_a2_n, Q => LOAD);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library APA;

entity UJTAG_Interface is

    port(\load[1]\ : out std_logic; \uir[6]\ : in std_logic; 
        LOAD_scalar_0, load_net_1 : out std_logic; \Z$1N79\, 
        \Z$1N63\, \Z$1N66\, \Z$1N60\, uir_net_6, uir_net_5_i_0_i, 
        uir_net_4, uir_net_3, uir_net_1, uir_net_2, UIR_i_0_i : 
        in std_logic; SEL_ON_c : out std_logic);

end UJTAG_Interface;

architecture DEF_ARCH of UJTAG_Interface is 

  component AND2
    port(A, B : in std_logic; Y : out std_logic);
  end component;

  component NAND3FFT
    port(A, B, C : in std_logic; Y : out std_logic);
  end component;

  component PWR
    port(Y : out std_logic);
  end component;

  component AND3
    port(A, B, C : in std_logic; Y : out std_logic);
  end component;

  component DFF
    port(CLK, D : in std_logic; Q : out std_logic);
  end component;

  component NOR3
    port(A, B, C : in std_logic; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic; Y : out std_logic);
  end component;

  component SIPO
    port(\load[1]\ : out std_logic; uushiftin, \Z$1N66\ : in
         std_logic; load_net_1 : out std_logic; \Z$1N79\, 
        un1_uudrcap_0_a2_n : in std_logic; LOAD_scalar_0 : out
         std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

    signal \SEL_ON_c\, un1_uusrsel_4_i, un1_uusrsel_2_i, 
        un1_uusrsel_0_i, uushiftin_0_0_a2_n, un1_uudrcap_0_a2_n, 
        \uushiftin\, \VCC\, \GND\ : std_logic;

    for all : SIPO
	Use entity work.SIPO(DEF_ARCH);
begin 

    SEL_ON_c <= \SEL_ON_c\;

    un1_uudrcap_0_a2 : AND2
      port map(A => \Z$1N63\, B => \SEL_ON_c\, Y => 
        un1_uudrcap_0_a2_n);
    
    un1_uusrsel_2 : NAND3FFT
      port map(A => un1_uusrsel_0_i, B => uir_net_3, C => 
        uir_net_4, Y => un1_uusrsel_2_i);
    
    PWR_i : PWR
      port map(Y => \VCC\);
    
    uushiftin_0_0_a2 : AND3
      port map(A => \Z$1N60\, B => \Z$1N66\, C => \SEL_ON_c\, Y
         => uushiftin_0_0_a2_n);
    
    uushiftin : DFF
      port map(CLK => \Z$1N79\, D => uushiftin_0_0_a2_n, Q => 
        \uushiftin\);
    
    un1_uusrsel : NOR3
      port map(A => UIR_i_0_i, B => un1_uusrsel_4_i, C => 
        \uir[6]\, Y => \SEL_ON_c\);
    
    un1_uusrsel_0 : OR2
      port map(A => uir_net_5_i_0_i, B => uir_net_6, Y => 
        un1_uusrsel_0_i);
    
    inst_SIPO : SIPO
      port map(\load[1]\ => \load[1]\, uushiftin => \uushiftin\, 
        \Z$1N66\ => \Z$1N66\, load_net_1 => load_net_1, \Z$1N79\
         => \Z$1N79\, un1_uudrcap_0_a2_n => un1_uudrcap_0_a2_n, 
        LOAD_scalar_0 => LOAD_scalar_0);
    
    un1_uusrsel_4 : NAND3FFT
      port map(A => un1_uusrsel_2_i, B => uir_net_2, C => 
        uir_net_1, Y => un1_uusrsel_4_i);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library APA;

entity TOP is

    port(\LED[2]\, \LED[1]\, \LED[0]\, UDRUPD, \LED[3]\ : out
         std_logic; TRST, TCK, TDI, TMS : in std_logic; SEL_ON : 
        out std_logic);

end TOP;

architecture DEF_ARCH of TOP is 

  component OB33PH
    port(PAD : out std_logic; A : in std_logic);
  end component;

  component PWR
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component DFF
    port(CLK, D : in std_logic; Q : out std_logic);
  end component;

  component AND3
    port(A, B, C : in std_logic; Y : out std_logic);
  end component;

  component UJTAG_Interface
    port(\load[1]\ : out std_logic; \uir[6]\ : in std_logic; 
        LOAD_scalar_0, load_net_1 : out std_logic; \Z$1N79\, 
        \Z$1N63\, \Z$1N66\, \Z$1N60\, uir_net_6, uir_net_5_i_0_i, 
        uir_net_4, uir_net_3, uir_net_1, uir_net_2, UIR_i_0_i : 
        in std_logic; SEL_ON_c : out std_logic);
  end component;

  component UJTAG
    port(URSTB : out std_logic; UTDO : in std_logic; UDRCK, 
        UDRCAP, UDRSH, UDRUPD, UTDI, UIREG0, UIREG1, UIREG2, 
        UIREG3, UIREG4, UIREG5, UIREG6, UIREG7 : out std_logic; 
        TDO, TMS, TDI, TCK, TRSTB : inout std_logic);
  end component;

    signal \LED[3]_net_1\, \TRST\, \TCK\, \TDI\, \TMS\, SEL_ON_c, 
        UDRUPD_c, \LED[0]_c\, \LED[1]_c\, \LED[2]_c\, \$1N79\, 
        load_net_1, \$1N29\, \load[1]\, \$1N63\, \$1N66\, 
        uir_net_5_i_0_i, uir_net_4, uir_net_3, uir_net_2, 
        uir_net_1, UIR_i_0_i, \uir[6]\, uir_net_6, \$1I5_URSTB\, 
        \$1N60\, LOAD, \VCC\, \GND\ : std_logic;

    for all : UJTAG_Interface
	Use entity work.UJTAG_Interface(DEF_ARCH);
begin 

    \LED[3]\ <= \LED[3]_net_1\;
    \TRST\ <= TRST;
    \TCK\ <= TCK;
    \TDI\ <= TDI;
    \TMS\ <= TMS;

    \LED[1]_pad\ : OB33PH
      port map(PAD => \LED[1]\, A => \LED[1]_c\);
    
    SEL_ON_pad : OB33PH
      port map(PAD => SEL_ON, A => SEL_ON_c);
    
    PWR_i : PWR
      port map(Y => \VCC\);
    
    \LED[0]_pad\ : OB33PH
      port map(PAD => \LED[0]\, A => \LED[0]_c\);
    
    UDRUPD_pad : OB33PH
      port map(PAD => UDRUPD, A => UDRUPD_c);
    
    \LED[2]_pad\ : OB33PH
      port map(PAD => \LED[2]\, A => \LED[2]_c\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \$1I85\ : DFF
      port map(CLK => \$1N79\, D => LOAD, Q => \LED[0]_c\);
    
    \$1I83\ : DFF
      port map(CLK => \$1N79\, D => load_net_1, Q => \LED[2]_c\);
    
    \$1I6\ : AND3
      port map(A => \LED[2]_c\, B => \LED[1]_c\, C => \LED[0]_c\, 
        Y => \$1N29\);
    
    \$1I91\ : UJTAG_Interface
      port map(\load[1]\ => \load[1]\, \uir[6]\ => \uir[6]\, 
        LOAD_scalar_0 => LOAD, load_net_1 => load_net_1, \Z$1N79\
         => \$1N79\, \Z$1N63\ => \$1N63\, \Z$1N66\ => \$1N66\, 
        \Z$1N60\ => \$1N60\, uir_net_6 => uir_net_6, 
        uir_net_5_i_0_i => uir_net_5_i_0_i, uir_net_4 => 
        uir_net_4, uir_net_3 => uir_net_3, uir_net_1 => uir_net_1, 
        uir_net_2 => uir_net_2, UIR_i_0_i => UIR_i_0_i, SEL_ON_c
         => SEL_ON_c);
    
    \$1I84\ : DFF
      port map(CLK => \$1N79\, D => \load[1]\, Q => \LED[1]_c\);
    
    \$1I5\ : UJTAG
      port map(URSTB => \$1I5_URSTB\, UTDO => \$1N29\, UDRCK => 
        \$1N79\, UDRCAP => \$1N63\, UDRSH => \$1N66\, UDRUPD => 
        UDRUPD_c, UTDI => \$1N60\, UIREG0 => uir_net_5_i_0_i, 
        UIREG1 => uir_net_4, UIREG2 => uir_net_3, UIREG3 => 
        uir_net_2, UIREG4 => uir_net_1, UIREG5 => UIR_i_0_i, 
        UIREG6 => \uir[6]\, UIREG7 => uir_net_6, TDO => 
        \LED[3]_net_1\, TMS => \TMS\, TDI => \TDI\, TCK => \TCK\, 
        TRSTB => \TRST\);
    

end DEF_ARCH; 
