-- Version: 6.1 SP1 6.1.1.108

library ieee;
use ieee.std_logic_1164.all;
library APA;

entity TOP is

    port(\LED[2]\, \LED[1]\, \LED[0]\, UDRUPD, \LED[3]\ : out
         std_logic; TRST, TCK, TDI, TMS : in std_logic; SEL_ON : 
        out std_logic);

end TOP;

architecture DEF_ARCH of TOP is 

  component ujtag_interface
    port(UUIR : in std_logic_vector(7 downto 0); UUDRCK, UUDRCAP, 
        UUDRSH, UUTDI : in std_logic; UULOAD : 
        out std_logic_vector(2 downto 0); SEL_ON : out std_logic);
  end component;

  component DFF
    port(CLK, D : in std_logic; Q : out std_logic);
  end component;

  component UJTAG
    port(URSTB : out std_logic; UTDO : in std_logic; UDRCK, 
        UDRCAP, UDRSH, UDRUPD, UTDI, UIREG0, UIREG1, UIREG2, 
        UIREG3, UIREG4, UIREG5, UIREG6, UIREG7 : out std_logic; 
        TDO, TMS, TDI, TCK, TRSTB : inout std_logic);
  end component;

  component AND3
    port(A, B, C : in std_logic; Y : out std_logic);
  end component;

    signal \$1N29\, \$1N60\, \$1N63\, \$1N66\, \$1N79\, 
        \LED[0]_net_1\, \LED[1]_net_1\, \LED[2]_net_1\, 
        \LED[3]_net_1\ : std_logic;
    signal LOAD : std_logic_vector(2 downto 0);
    signal \LOAD\, LOAD_net_1, \TCK\, \TDI\, \TMS\, \TRST\
         : std_logic;
    signal UIR : std_logic_vector(7 downto 0);
    signal \UIR\, UIR_net_1, UIR_net_2, UIR_net_3, UIR_net_4, 
        UIR_net_5, UIR_net_6 : std_logic;

begin 

    \LED[2]\ <= \LED[2]_net_1\;
    \LED[1]\ <= \LED[1]_net_1\;
    \LED[0]\ <= \LED[0]_net_1\;
    \LED[3]\ <= \LED[3]_net_1\;
    \TRST\ <= TRST;
    \TCK\ <= TCK;
    \TDI\ <= TDI;
    \TMS\ <= TMS;

    \$1I91\ : ujtag_interface
      port map(UUIR(7) => UIR_net_6, UUIR(6) => UIR(6), UUIR(5)
         => \UIR\, UUIR(4) => UIR_net_1, UUIR(3) => UIR_net_2, 
        UUIR(2) => UIR_net_3, UUIR(1) => UIR_net_4, UUIR(0) => 
        UIR_net_5, UUDRCK => \$1N79\, UUDRCAP => \$1N63\, UUDRSH
         => \$1N66\, UUTDI => \$1N60\, UULOAD(2) => LOAD_net_1, 
        UULOAD(1) => LOAD(1), UULOAD(0) => \LOAD\, SEL_ON => 
        SEL_ON);
    
    \$1I85\ : DFF
      port map(CLK => \$1N79\, D => \LOAD\, Q => \LED[0]_net_1\);
    
    \$1I5\ : UJTAG
      port map(URSTB => OPEN, UTDO => \$1N29\, UDRCK => \$1N79\, 
        UDRCAP => \$1N63\, UDRSH => \$1N66\, UDRUPD => UDRUPD, 
        UTDI => \$1N60\, UIREG0 => UIR_net_5, UIREG1 => UIR_net_4, 
        UIREG2 => UIR_net_3, UIREG3 => UIR_net_2, UIREG4 => 
        UIR_net_1, UIREG5 => \UIR\, UIREG6 => UIR(6), UIREG7 => 
        UIR_net_6, TDO => \LED[3]_net_1\, TMS => \TMS\, TDI => 
        \TDI\, TCK => \TCK\, TRSTB => \TRST\);
    
    \$1I84\ : DFF
      port map(CLK => \$1N79\, D => LOAD(1), Q => \LED[1]_net_1\);
    
    \$1I6\ : AND3
      port map(A => \LED[2]_net_1\, B => \LED[1]_net_1\, C => 
        \LED[0]_net_1\, Y => \$1N29\);
    
    \$1I83\ : DFF
      port map(CLK => \$1N79\, D => LOAD_net_1, Q => 
        \LED[2]_net_1\);
    

end DEF_ARCH; 
